import { redirect } from '@sveltejs/kit';
import type { RequestHandler } from './$types';

export const GET: RequestHandler = ({ cookies }) => {
	const apiKey = String(cookies.get('apiKey') ?? '');

	if (!apiKey) {
		return redirect(307, `${process.env.API_URL}/auth/new-login`);
	}

	return redirect(302, `${process.env.DASHBOARD_URL}/new/dashboard`);
};
